<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <CopyRefAssembliesToPublishDirectory>false</CopyRefAssembliesToPublishDirectory>
    <StartupObject>Warhammer.Program</StartupObject>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="DataLayer\**" />
    <Compile Remove="Models\Enum\**" />
    <Compile Remove="Models\Weapons\**" />
    <Compile Remove="Service\**" />
    <Content Remove="DataLayer\**" />
    <Content Remove="Models\Enum\**" />
    <Content Remove="Models\Weapons\**" />
    <Content Remove="Service\**" />
    <EmbeddedResource Remove="DataLayer\**" />
    <EmbeddedResource Remove="Models\Enum\**" />
    <EmbeddedResource Remove="Models\Weapons\**" />
    <EmbeddedResource Remove="Service\**" />
    <None Remove="DataLayer\**" />
    <None Remove="Models\Enum\**" />
    <None Remove="Models\Weapons\**" />
    <None Remove="Service\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MessagePack" Version="2.5.187" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.11" />
    <PackageReference Include="NuGet.Common" Version="6.12.1" />
    <PackageReference Include="NuGet.Packaging" Version="6.12.1" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.3.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
    <ProjectReference Include="..\Services\Services.csproj" />
  </ItemGroup>

</Project>
